plugin SimpleMeshMod Vu_VisMod
name:"Vu_VisMod"
classID:#(0x24fd64a9, 0x15363ef7)
category:"Oddball"
(
	parameters main rollout:params
	(
		Viss ui:Viss default:100 type:#float animatable:true
	)
	
	rollout params "Parameters"
		(
			group "Preparation"
				(

				button AddVis "Add Vis track"
					on AddVis pressed do
					(
						for obj in (selection as array)	 do
							(
							obj.visibility = bezier_float()
							addNewKey obj.visibility.controller 0
							obj.visibility.controller.keys[1].value = 1.0
						)
					)

				button VisToMod "Sync Vis to Mod"
				on VisToMod pressed do
					(
						with animate on
							(
							for obj in (selection as array)	 do
								(
								local count = numKeys obj.visibility.controller
								for i = 1 to count	 do
									(
									slidertime =  (getKeyTime obj.visibility.controller i)
									obj.modifiers[#Vu_VisMod].Viss = (obj.visibility.controller.keys[i].value * 100.0)
								)
							)
						)
				)

			)
			
			spinner Viss "Visibility" range:[0, 100, 100] type:#float
			on Viss changed val do
				(
					for obj in (selection as array)	 do
						(
						addNewKey obj.visibility.controller slidertime
						obj.visibility.controller.keys[(getKeyIndex obj.visibility.controller slidertime)].value = (Viss.value / 100.0)
					)
			)
	)
	rollout inforoll "About"
	(
		Group "Vu VisMod Info"
		(
			label lab91 "Author: Vu Nguyen" align:#left
			label lab92 "(c) Vu Nguyen 2017" align:#left
			label lab93 "Version: 1.01" align:#left
			label lab94 "Email: vusta@hotmail.com" align:#left
		)

	)
	
)